# README

Codes sources et modèles en lien avec la thèse de doctorat de Maxime Puys, nommée "_Sécurité des
systèmes industriels : filtrage applicatif et recherche de scénarios
d’attaques_".

Description :

- chap4_assi/4-3_handshake : Vérification du handshake d'OPC-UA à l'aide de l'outil ProVerif.
- chap4_assi/4-4_integrite : Vérification des propriétés d'intégrité du flux sur MODBUS et OPC-UA à l'aide de l'outil Tamarin.
- chap5_aspics/5-4_uppaal : Modèles UPPAAL pour la phase 2 de l'approche ASPICS.

----------------------------

Source codes and models for Ph.D thesis of Maxime Puys entitled "_Sécurité des
systèmes industriels : filtrage applicatif et recherche de scénarios
d’attaques_".

Description:

- chap4_assi/4-3_handshake : Verification of the handshake of OPC-UA using ProVerif.
- chap4_assi/4-4_integrite : Verification of flow intergrity properties of MODBUS and OPC-UA using Tamarin.
- chap5_aspics/5-4_uppaal : UPPAAL models for phase 2 of ASPICS approach.

----------------------------

Support: Maxime.Puys@gmail.com
Last update: 2017-11-13
Please check LICENCE file.
